//
//  DTBarButton.m
//  Edify
//
//  Created by Daniel Tomlinson on 21/02/2013.
//  Copyright (c) 2013 Daniel Tomlinson. All rights reserved.
//

#import "DTBarButton.h"

@implementation DTBarButton

- (void) touchBlock:(ActionBlock)action
{
	_actionBlock = action;
	// [self addTarget:self action:@selector(callActionBlock:) forControlEvents:event];
	self.action = @selector(callActionBlock:);
}

- (void) callActionBlock:(id)sender {
	_actionBlock();
}

- (id) initWithTitle:(NSString *)title andAction:(ActionBlock)action {
	self = [super init];
	if (self) {
		_actionBlock = action;
		_title = title;
		_action = @selector(callActionBlock:);
		_style = UIBarButtonItemStyleBordered;
		_tintColor = [[UIBarButtonItem appearance] tintColor];
	}
	return self;
}

- (id) initWithBarButtonSystemItem:(UIBarButtonSystemItem)systemItem andAction:(ActionBlock)action {
	self = [super initWithBarButtonSystemItem:systemItem target:self action:@selector(callActionBlock:)];
	if (self) {
		_actionBlock = action;
		_tintColor = [[UIBarButtonItem appearance] tintColor];
	}
	return self;
}

@end
