//
//  UIAlertView+Blocks.h
//  Edify
//
//  Created by Daniel Tomlinson on 21/02/2013.
//  Copyright (c) 2013 Daniel Tomlinson. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DTBlocks.h"
@interface UIAlertView (Blocks) <UIAlertViewDelegate>

+ (UIAlertView*) alertViewWithTitle:(NSString*) title
                            message:(NSString*) message;

+ (UIAlertView*) alertViewWithTitle:(NSString*) title
                            message:(NSString*) message
                            onDismiss:(DismissBlock) dismissed;

+ (UIAlertView*) alertViewWithTitle:(NSString*) title
                            message:(NSString*) message
                  cancelButtonTitle:(NSString*) cancelButtonTitle;

+ (UIAlertView*) alertViewWithTitle:(NSString*) title
                            message:(NSString*) message
                  cancelButtonTitle:(NSString*) cancelButtonTitle
                  otherButtonTitles:(NSArray*) otherButtons
                          onDismiss:(DismissBlock) dismissed
                           onCancel:(CancelBlock) cancelled;

@property (nonatomic, copy) DismissBlock dismissBlock;
@property (nonatomic, copy) CancelBlock cancelBlock;
@end
