//
//  UIBarButtonItem+CustomButton.m
//  DTKit
//
//  Created by Ross Penman on 11/05/2013.
//  Copyright (c) 2013 Ross Penman. All rights reserved.
//

#import "UIBarButtonItem+CustomButton.h"

@implementation UIBarButtonItem (CustomButton)

- (void)setCustomButton:(UIButton *)button
{
    self.customView = button;
    [button addTarget:self.target action:self.action forControlEvents:UIControlEventTouchUpInside];
}

// Only returns custom view if it is a button.
- (UIButton *)customButton
{
    UIView *customView = [self customView];
    if ([customView isKindOfClass:[UIButton class]]) return (UIButton *)customView;
    return nil;
}

@end
